function ga=pap(rs)
%^^^^^^^^^^^^^^^^^^Papal Approx. to G(r) at given cut-off rs {J.Acoust.Soc.Am.[104]p.651}
global g h;if isempty(rs)==1;hold on;x=bcf(4e-4);ro=x(1);so=x(2);else;ro=rs(1);so=rs(2);end;
hh=h;hh(5:7,1:3)=hh(5:7,1:3)+eye(3)*g/ro^2;[f q]=eig(hh);[o m]=sort(abs(diag(q)*ro-so));
qo=q(m(1),m(1));fo=f(:,m(1));[o n]=max(abs(fo));fo=real(o*fo/fo(n));if imag(qo)~=0;
qo=real(qo);end;u=zeros(4);t=u;u(:,1)=fo(1:4);t(:,1)=fo(5:8);k=1;for j=3:8;
i=m(j);p=-imag(q(i,i));if p==0;p=real(f(1:4,i)'*f(5:8,i))/ro;end;if p<0;k=k+1;
u(:,k)=f(1:4,i);t(:,k)=f(5:8,i);end;end;xx=zeros(1,8);for i=1:8;ho=hh-qo*eye(8);
ho(i,:)=fo';xx(i)=det(ho);end;[o m]=max(abs(xx));ho=hh-qo*eye(8);ho(m(1),:)=fo';
fp=fo;fp(m(1))=0;fp=ho\fp;ho=[zeros(4,8); -g*eye(3) zeros(3,5);zeros(1,8)];
eo=[fo(5:8)' fo(1:4)'];rps=eo*fp/(eo*ho*fo);ar=.5*ro^3*rps;
tau=-(fp(1:4)'*fp(5:8))/(fo(5:8)'*fp(1:4)+fo(1:4)'*fp(5:8));d=inv(t);
eta=tau+d(1,:)*fp(5:8);go=u*d;gp=(fp(1:4)-u*d*fp(5:8))*d(1,:);if isempty(rs)==1;
for i=1:41;s=.004*(i-21);r=ro+ar*s^2;if abs(r-ro)<.05;plot(r,so+s*r,'m.');end;end;end;
ga=[ro so ar eta; go; gp];    if abs(fo(1:4)'*fo(5:8))>1e-6;ga=nan*ga;end;

