function rk=psw(ga)
%^^^^^^^^^^^^^^^^^^evaluates PSAW, if exists, at cut-off rs %ga=[ro so ar eta; go; gp];
ro=ga(1,1);ar=ga(1,3);eta=ga(1,4);go=ga(2:5,:);gp=ga(6:9,:);  mu=4;mt=4;ao=go(mu,mt);
ap=gp(mu,mt);x=1;p=eta+ap/ao;if real(p)>0;x=nan;end;if imag(p)<0;x=nan;end;rx=ar/p^2;
dk=2*abs((rx/ro)*(ap/ao)/eta);rk=x*[real(rx)/ro imag(rx)/ro dk];lr=1500;if isnan(x)==0;
d=1.5*max([abs(real(rx)) 1e-6]);rr=linspace(-d,d,lr);zz=zeros(lr,4);for i=1:lr;r=rr(i);
z=-1/hgf(mu,mt,r+ro);zz(i,1:2)=[real(z) imag(z)];d=sqrt(ar*rr(i))/ar;if imag(d)<0;d=-d;
end;z=ao+ap*d/(1+d*eta);z=-1/z;zz(i,3:4)=[real(z) imag(z)];end;plot(rr,zz);grid on;end;
title(sprintf('%s %7.5f %8.5g %9.4g %s %9.4g %9.4g %9.4g','pap:',ro,ar,eta,' psw:',rk))

